PERLLINK(1)

NAME
perllink - add and delete symlinks in the standard Perl installation

SYNOPSIS
perllink [-fnv] [-p prefix] action [packlist ...]

DESCRIPTION
perllink manages the symlinks that match the files listed in the given packlists.

The perl configuration library defines the main directory trees containing the standard Perl installation in the following variables:
prefix
siteprefix
vendorprefix

The perl configuration library also defines the locations of scripts and manual pages in the following variables:
scriptdir | man1dir
sitescript | siteman1dir
vendorscript | vendorman1dir

For each file listed in the packlists that is in one of the script or manual page locations, a relative symbolic link to that file is added or deleted from prefix/bin and prefix/man/man1.

If -p prefix is specified, then the script and manual page locations are recomputed relative to the given prefix instead of to perl's prefix, and the symlinks are managed under the given prefix instead.

The options are as follows:

action
    This required option is either “add” or “delete” and determines whether the managed symlinks are added or deleted.

packlist ...
    These are paths to packlists containing the files installed as part of a module. Each line of a packlist contains a path terminated by a newline. If no packlists are specified, then the packlist for Perl itself is used.

-f, --force
    Unlink any already existing files, permitting the new symlinks to replace the existing ones.

-n, --noaction
    Do not actually make any changes to the files in prefix.

-p prefix, --prefix=prefix
    Manage the symlinks in prefix. By default, perllink manages the symlinks in the location referenced by the perl configuration variable prefix.

-v  Be verbose. Display on standard error the shell-equivalent commands that are being executed.

SEE ALSO
perl(1), symlink(2)

AUTHORS
Johnny C. Lam